package com.ym.mec.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hgw
 * Created by 2022-02-24
 */
public class RoomUserInfoVo implements Serializable {
    private Integer userId;

    private String userName;

    private Integer tenantId;

    //累计观看时长
    private Integer totalViewTime;

    //首次进入时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date firstJoinTime;

    //动态进入房间时间  多次进入房间每次进入更新
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dynamicJoinTime;

    //最后一次退出时间 该字段是为了控制连续退出的 如果2次退出时间间隔不足1分钟则不处理
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastOutTime;

    //0:在房间 1:不在房间
    private Integer state;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getTotalViewTime() {
        return totalViewTime;
    }

    public void setTotalViewTime(Integer totalViewTime) {
        this.totalViewTime = totalViewTime;
    }

    public Date getFirstJoinTime() {
        return firstJoinTime;
    }

    public void setFirstJoinTime(Date firstJoinTime) {
        this.firstJoinTime = firstJoinTime;
    }

    public Date getDynamicJoinTime() {
        return dynamicJoinTime;
    }

    public void setDynamicJoinTime(Date dynamicJoinTime) {
        this.dynamicJoinTime = dynamicJoinTime;
    }

    public Date getLastOutTime() {
        return lastOutTime;
    }

    public void setLastOutTime(Date lastOutTime) {
        this.lastOutTime = lastOutTime;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }
}